public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/hiredis/
Date: Mon, 12 Oct 2020 12:39:57 +0000 (UTC)	[thread overview]
Message-ID: <1602506388.0bb3a5eb81aabd628ba03ec01486abc64e34e1a1.juippis@gentoo> (raw)

commit:     0bb3a5eb81aabd628ba03ec01486abc64e34e1a1
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Thu Oct  8 15:03:31 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 12:39:48 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bb3a5eb

dev-libs/hiredis: make ssl support available

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/17853
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/hiredis/hiredis-1.0.0.ebuild | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/dev-libs/hiredis/hiredis-1.0.0.ebuild b/dev-libs/hiredis/hiredis-1.0.0.ebuild
index f65824d561b..d11dddc289c 100644
--- a/dev-libs/hiredis/hiredis-1.0.0.ebuild
+++ b/dev-libs/hiredis/hiredis-1.0.0.ebuild
@@ -12,10 +12,12 @@ SRC_URI="https://github.com/redis/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 LICENSE="BSD"
 SLOT="0/1.0.0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-solaris"
-IUSE="examples static-libs test"
+IUSE="examples ssl static-libs test"
 RESTRICT="!test? ( test )"
 
-DEPEND="test? ( dev-db/redis )"
+DEPEND="
+	ssl? ( dev-libs/openssl )
+	test? ( dev-db/redis )"
 
 src_prepare() {
 	local PATCHES=(
@@ -33,6 +35,7 @@ _build() {
 		CC="$(tc-getCC)" \
 		PREFIX="${EPREFIX}/usr" \
 		LIBRARY_PATH="$(get_libdir)" \
+		USE_SSL=$(usex ssl 1 0) \
 		DEBUG_FLAGS= \
 		OPTIMIZATION= \
 		"$@"
@@ -68,7 +71,8 @@ src_test() {
 src_install() {
 	_build PREFIX="${ED}/usr" install
 	if ! use static-libs; then
-		rm "${ED}/usr/$(get_libdir)/libhiredis.a" || die
+		rm "${ED}/usr/$(get_libdir)/libhiredis.a" \
+			"${ED}/usr/$(get_libdir)/libhiredis_ssl.a" || die
 	fi
 
 	insinto /usr/$(get_libdir)/pkgconfig


             reply	other threads:[~2020-10-12 12:40 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-12 12:39 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-29  3:51 [gentoo-commits] repo/gentoo:master commit in: dev-libs/hiredis/ Sam James
2024-08-29  3:15 Sam James
2024-05-19 23:10 Ionen Wolkens
2024-05-17 15:05 Arthur Zamarin
2024-04-20 11:23 Michał Górny
2024-04-19 11:43 Sam James
2024-04-19 10:43 Sam James
2024-04-19  9:57 Petr Vaněk
2024-04-19  9:37 Petr Vaněk
2024-04-19  9:37 Petr Vaněk
2023-08-17  6:22 Sam James
2023-03-04  7:51 Arthur Zamarin
2022-11-29 18:06 WANG Xuerui
2022-11-17  1:37 Sam James
2022-11-17  1:16 Sam James
2022-11-17  1:13 Sam James
2022-11-17  1:13 Sam James
2022-03-16  2:23 Sam James
2022-01-01  9:38 Sam James
2021-11-19  6:46 Arthur Zamarin
2021-11-19  6:46 Arthur Zamarin
2021-10-31  9:42 Sam James
2021-10-31  9:42 Sam James
2021-10-31  3:09 Sam James
2021-10-31  3:09 Sam James
2021-10-27  3:36 Sam James
2021-10-26 21:33 Sven Wegener
2021-10-26 13:30 Agostino Sarubbo
2021-10-26 13:28 Agostino Sarubbo
2021-10-26  3:16 Sam James
2021-10-26  3:16 Sam James
2021-10-26  3:16 Sam James
2021-10-05  4:09 Sam James
2021-07-26 15:45 Marek Szuba
2021-06-21 10:37 Sam James
2021-03-23  4:53 Sam James
2021-02-05  6:11 Sam James
2020-12-18 14:23 Sam James
2020-11-25 23:25 Sergei Trofimovich
2020-11-13 23:33 Sam James
2020-11-07 20:56 Sam James
2020-11-07 20:56 Sam James
2020-11-07 20:34 Sergei Trofimovich
2020-11-07 20:22 Sergei Trofimovich
2020-11-07 20:10 Sergei Trofimovich
2020-10-26 16:37 Thomas Deutschmann
2020-04-12  6:29 Joonas Niilola
2020-04-10 23:00 Thomas Deutschmann
2020-04-10 22:12 Thomas Deutschmann
2020-04-01 22:35 Mart Raudsepp
2020-03-23 18:07 Sergei Trofimovich
2020-03-23 11:04 Agostino Sarubbo
2020-03-22 10:43 Agostino Sarubbo
2020-03-22 10:37 Agostino Sarubbo
2020-03-22 10:30 Agostino Sarubbo
2020-03-21 16:25 Agostino Sarubbo
2020-03-21 16:20 Agostino Sarubbo
2020-03-21 16:19 Agostino Sarubbo
2020-03-20 20:23 Thomas Deutschmann
2018-10-26  9:50 Michał Górny
2018-06-08 11:10 Mikle Kolyada
2017-03-01 10:43 Michael Weber
2017-02-24 23:57 Michael Palimaka
2017-02-24 17:55 Markus Meier
2017-02-16 17:26 Agostino Sarubbo
2017-02-15 23:14 Michael Weber
2017-01-22  9:30 Tobias Klausmann
2017-01-14 12:26 Jeroen Roovers
2017-01-06  3:29 Aaron Bauman
2017-01-02 16:19 Pacho Ramos
2016-10-03 14:55 Jeroen Roovers
2016-10-03 12:15 Tobias Klausmann
2016-08-11 17:23 Michael Palimaka
2016-08-06 12:47 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602506388.0bb3a5eb81aabd628ba03ec01486abc64e34e1a1.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox